# Variable eval_expression

eval_expression: (
expression: string,
row?: any,
user?: any,
errorLocation?: string,
) => any

#### Type Declaration

- - (expression: string, row?: any, user?: any, errorLocation?: string): any

  - #### Parameters

    - expression: string
    - `Optional` row: any
    - `Optional` user: any
    - `Optional` errorLocation: string

    #### Returns any

- Defined in packages/saltcorn-data/models/index.ts:88